@ECHO OFF
CLS
ECHO Welcome to the CavaPlugin Installer
ECHO This file will install all of CavaPlugin
ECHO 
ECHO You must have TortoiseSVN for this installer to successfully run
ECHO 
ECHO This installer will run TortoiseSVN 3 times for:
ECHO 1- CavaPlugin
ECHO 2- CavaQuest Behaviors
ECHO 3- CavaProfiles
ECHO 
ECHO Press OK/Accept at all TortoiseSVN options
PAUSE
CLS
ECHO Removing Old CavaPlugin Installations.
del *.cs
del CavaPlugin_Install_Dansk.bat
del CavaPlugin_Install_Deutsch.bat
del CavaPlugin_Install_Portugues.bat
rmdir /s/q "Langs"
rmdir /s/q "Sounds"
rmdir /s/q "pngs"
rmdir /s/q ".svn"
rmdir /s/q "..\..\Quest Behaviors\Cava"
rmdir /s/q "..\..\Default Profiles\Cava"
ECHO ...
ECHO ...
ECHO ...
ECHO Instaling CavaPlugin Folder.
ECHO Wait until installer finishes then press any key.....
START TortoiseProc.exe /command:"checkout" /url:"http://cavaplugin.googlecode.com/svn/trunk/" /path:"..\CavaPlugin" /noquestion /closeonend:1
PAUSE
ECHO ...
ECHO ...
ECHO ...
ECHO Instaling CavaQuest Behaviors Folder.
ECHO Wait until installer finishes then press any key.....
START TortoiseProc.exe /command:"checkout" /url:"http://cavaqbs.googlecode.com/svn/trunk/Cava/" /path:"..\..\Quest Behaviors\Cava" /noquestion /closeonend:1
PAUSE
ECHO ...
ECHO ...
ECHO ...
ECHO Instaling CavaProfiles Folder.
ECHO Wait until installer finishes then press any key.....
START TortoiseProc.exe /command:"checkout" /url:"http://cavaprofiles.googlecode.com/svn/trunk/" /path:"..\..\Default Profiles\Cava" /noquestion /closeonend:1
PAUSE
EXIT